Subject: bug#735: New forked xorg fails to start with a nouveau driver

From: Mark Hindley <[email-masked]>
Date: Wed, 4 Jan 2023 09:25:23 +0000

Klaus,

Thanks.

On Wed, Jan 04, 2023 at 09:53:52AM +0100, Klaus Ethgen wrote:
> Package: xserver-xorg-core
> Version: 2:21.1.5-1devuan1
> Severity: normal
> 
> The new forked xorg fails on my machine with nouveau driver.
> (unfortunately I had to switch to that driver recently as the nvidia
> driver update dropped support for my card and legacy could not bring to
> work.)
> 
> Find the xorg log below. But please note that infos about installed
> packages below could be misleading as I had to downgrade X to be able to
> login again.
> 
> With another system using AMD GPU, the new package seems to work.
> Although I get errors from new seat stuff:
>    [244352.836] (EE) seatd_libseat not initialised!
>    [244353.076] (EE) AMDGPU(0): [drm] device is not DRM master.

We wondered if GPU support might be incomplete as we had no hardware for
testing.

Mark